package main

import (
	"testing"

	"tailscale.com/wgengine/router"
)

func TestUserspaceRouterHookRegistered(t *testing.T) {
	if _, ok := router.HookNewUserspaceRouter.GetOk(); !ok {
		t.Fatal("userspace router hook is not registered")
	}
}
